#johnodev-mobile-menu-container {
    position: fixed;
    top: 0;
    max-width: 100%;
    right: 0;
    bottom: 0;
    overflow: scroll;
    background: white;
    padding: 60px 20px 20px 20px;
    box-sizing: border-box;
    z-index: 999;
    width: 0;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease-in-out;
}

#johnodev-mobile-menu-container.active {
    width: 700px;
    opacity: 1;
    pointer-events: all;
}

#johnodev-mobile-menu-container #nav-back {
    position: absolute;
    top: 20px;
    left: 20px;
    cursor: pointer;
    display: none;
    height: 24px;
    width: 24px;
    line-height: 24px;
    text-align: center;
    opacity: 0.5;
}

#johnodev-mobile-menu-container #close-johnodev-mobile-menu {
    float: right;
    position: absolute;
    top: 20px;
    right: 20px;
    cursor: pointer;
    height: 24px;
    width: 24px;
    text-align: center;
}

#johnodev-mobile-menu-container .menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: block;
}

#johnodev-mobile-menu-container .sub-menu {
    display: none;
    list-style: none;
}

#johnodev-mobile-menu-container .open > .sub-menu {
    display: block;
}

#johnodev-mobile-menu-container ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

#johnodev-mobile-menu-container li {
    margin-bottom: 10px;
}

#johnodev-mobile-menu-container .submenu-icon {
    width: 24px;
    height: 24px;
    line-height: 24px;
    float: right;
    text-align: center;
    opacity: 0.5;
    cursor: pointer;
}

#johnodev-mobile-menu-container .unopen {
    display: none;
}